## golang-github-canonical-candid 1.11.0

=== Makefile ===
# Copyright 2014 Canonical Ltd.
# Licensed under the AGPLv3, see LICENCE file for details.
# Makefile for the candid identity service.

GIT_COMMIT := $(shell git rev-parse --verify HEAD)
GIT_VERSION := $(shell git describe --dirty)
ARCH := $(shell dpkg --print-architecture)

DEPENDENCIES := build-essential bzr
SNAP_DEPENDENCIES := go snapcraft

default: build

build: version/init.go
	go build ./...

check: version/init.go
	go test ./...

install: version/init.go
	go install $(INSTALL_FLAGS) -v ./...

clean:
	go clean ./...
	-$(RM) version/init.go
	-snapcraft clean

# Reformat source files.
format:
	gofmt -w -l .

# Reformat and simplify source files.
simplify:
	gofmt -w -l -s .

candidsrv: version/init.go
	go build ./cmd/candidsrv

# Run the candid server.
server: candidsrv
	./candidsrv cmd/candidsrv/config.yaml

# Generate version information
version/init.go: version/init.go.tmpl FORCE
	gofmt -r "unknownVersion -> Version{GitCommit: \"${GIT_COMMIT}\", Version: \"${GIT_VERSION}\",}" $< >$@

# Generate snaps
candid_$(GIT_VERSION)_$(ARCH).snap:
	snapcraft

RELEASE_BINARY_PACKAGES=./cmd/candidsrv

.PHONY: deploy
deploy: candid_$(GIT_VERSION)_$(ARCH).snap
	$(MAKE) -C charm build
	juju deploy -v ./charm/build/candid --resource candid=candid_$(GIT_VERSION)_$(ARCH).snap

# Install packages required to develop the candid service and run tests.
APT_BASED := $(shell command -v apt-get >/dev/null; echo $$?)
sysdeps:
ifeq ($(APT_BASED),0)
	@echo Installing dependencies
	@sudo apt-get update
	@sudo apt-get -y install $(DEPENDENCIES) 
	@sudo snap install $(SNAP_DEPENDENCIES)
else
	@echo sysdeps runs only on systems with apt-get
	@echo on OS X with homebrew try: brew install bazaar mongodb
endif

help:
	@echo -e 'Identity service - list of make targets:\n'
	@echo 'make - Build the package.'
	@echo 'make check - Run tests.'
	@echo 'make install - Install the package.'
	@echo 'make server - Start the candid server.'
	@echo 'make clean - Remove object files from package source directories.'
	@echo 'make sysdeps - Install the development environment system packages.'
	@echo 'make format - Format the source files.'
	@echo 'make simplify - Format and simplify the source files.'

.PHONY: build check install clean format server simplify snap sysdeps help FORCE

FORCE:

=== debian/changelog ===
golang-github-canonical-candid (1.11.0-2) unstable; urgency=medium

  * Source-only upload for migration
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Mathias Gibbens <mathias@calenhad.com>  Thu, 12 May 2022 21:47:51 +0000

golang-github-canonical-candid (1.11.0-1) unstable; urgency=medium

  * Initial release (Closes: #998752)

 -- Mathias Gibbens <mathias@calenhad.com>  Mon, 25 Apr 2022 19:03:57 +0530

=== debian/control ===
Source: golang-github-canonical-candid
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Mathias Gibbens <mathias@calenhad.com>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-coreos-go-oidc-dev,
               golang-github-duo-labs-webauthn-dev,
               golang-github-frankban-quicktest-dev,
               golang-github-go-ldap-ldap-dev,
               golang-github-gomodule-oauth1-dev,
               golang-github-google-go-cmp-dev,
               golang-github-google-uuid-dev,
               golang-github-gorilla-handlers-dev,
               golang-github-juju-aclstore-dev,
               golang-github-juju-clock-dev,
               golang-github-juju-cmd-dev,
               golang-github-juju-gnuflag-dev,
               golang-github-juju-loggo-dev,
               golang-github-juju-names-dev,
               golang-github-juju-persistent-cookiejar-dev,
               golang-github-juju-qthttptest-dev,
               golang-github-juju-schema-dev,
               golang-github-juju-simplekv-dev,
               golang-github-juju-testing-dev,
               golang-github-juju-usso-dev,
               golang-github-juju-utils-dev,
               golang-github-julienschmidt-httprouter-dev,
               golang-github-mhilton-openid-dev,
               golang-github-yohcop-openid-go-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-golang-x-oauth2-google-dev,
               golang-gopkg-asn1-ber.v1-dev,
               golang-gopkg-errgo.v1-dev,
               golang-gopkg-goose.v1-dev,
               golang-gopkg-httprequest.v1-dev,
               golang-gopkg-juju-environschema.v1-dev,
               golang-gopkg-macaroon.v2-dev,
               golang-gopkg-macaroon-bakery.v2-dev,
               golang-gopkg-mgo.v2-dev,
               golang-gopkg-natefinch-lumberjack.v2-dev,
               golang-gopkg-square-go-jose.v2-dev,
               golang-gopkg-tomb.v2-dev,
               golang-pq-dev,
               golang-prometheus-client-dev,
               golang-yaml.v2-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-canonical-candid
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-canonical-candid.git
Homepage: https://github.com/canonical/candid
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/canonical/candid

Package: golang-github-canonical-candid-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         golang-github-coreos-go-oidc-dev,
         golang-github-duo-labs-webauthn-dev,
         golang-github-frankban-quicktest-dev,
         golang-github-go-ldap-ldap-dev,
         golang-github-gomodule-oauth1-dev,
         golang-github-google-go-cmp-dev,
         golang-github-google-uuid-dev,
         golang-github-gorilla-handlers-dev,
         golang-github-juju-aclstore-dev,
         golang-github-juju-clock-dev,
         golang-github-juju-cmd-dev,
         golang-github-juju-gnuflag-dev,
         golang-github-juju-loggo-dev,
         golang-github-juju-names-dev,
         golang-github-juju-persistent-cookiejar-dev,
         golang-github-juju-qthttptest-dev,
         golang-github-juju-schema-dev,
         golang-github-juju-simplekv-dev,
         golang-github-juju-testing-dev,
         golang-github-juju-usso-dev,
         golang-github-juju-utils-dev,
         golang-github-julienschmidt-httprouter-dev,
         golang-github-mhilton-openid-dev,
         golang-github-yohcop-openid-go-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-net-dev,
         golang-golang-x-oauth2-google-dev,
         golang-gopkg-asn1-ber.v1-dev,
         golang-gopkg-errgo.v1-dev,
         golang-gopkg-goose.v1-dev,
         golang-gopkg-httprequest.v1-dev,
         golang-gopkg-juju-environschema.v1-dev,
         golang-gopkg-macaroon.v2-dev,
         golang-gopkg-macaroon-bakery.v2-dev,
         golang-gopkg-mgo.v2-dev,
         golang-gopkg-natefinch-lumberjack.v2-dev,
         golang-gopkg-square-go-jose.v2-dev,
         golang-gopkg-tomb.v2-dev,
         golang-pq-dev,
         golang-prometheus-client-dev,
         golang-yaml.v2-dev
Description: Candid Identity Manager Service (library)
 The Candid server provides a macaroon-based authentication service.
 .
 The Go source code for this library is packaged in Debian with the
 sole purpose of building other Go programs for Debian.
 .
 Regular users should not depend on this package in their regular
 development workflow. For that, users should use `go get`.

## golang-github-canonical-candid 1.12.1

=== candid-operator/requirements.txt ===
Jinja2 == 2.11.3
ops >= 1.4.0
markupsafe == 2.0.1

=== debian/changelog ===
golang-github-canonical-candid (1.12.1-1) unstable; urgency=medium

  * New upstream release
    - Add/refresh/drop patches as needed
  * d/control:
    - Update Build-Depends and Depends
    - Add Breaks lxd << 5.0.1

 -- Mathias Gibbens <mathias@calenhad.com>  Sun, 11 Sep 2022 17:35:47 +0000

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,14 @@
                golang-github-duo-labs-webauthn-dev,
                golang-github-frankban-quicktest-dev,
                golang-github-go-ldap-ldap-dev,
+               golang-github-go-macaroon-bakery-macaroon-bakery-dev,
                golang-github-gomodule-oauth1-dev,
                golang-github-google-go-cmp-dev,
                golang-github-google-uuid-dev,
                golang-github-gorilla-handlers-dev,
                golang-github-juju-aclstore-dev,
                golang-github-juju-clock-dev,
-               golang-github-juju-cmd-dev,
+               golang-github-juju-cmd-dev (>= 3.0.2),
                golang-github-juju-gnuflag-dev,
                golang-github-juju-loggo-dev,
                golang-github-juju-names-dev,
@@ -40,7 +41,6 @@
                golang-gopkg-httprequest.v1-dev,
                golang-gopkg-juju-environschema.v1-dev,
                golang-gopkg-macaroon.v2-dev,
-               golang-gopkg-macaroon-bakery.v2-dev,
                golang-gopkg-mgo.v2-dev,
                golang-gopkg-natefinch-lumberjack.v2-dev,
                golang-gopkg-square-go-jose.v2-dev,
@@ -58,18 +58,20 @@
 Package: golang-github-canonical-candid-dev
 Architecture: all
 Multi-Arch: foreign
+Breaks: lxd (<< 5.0.1)
 Depends: ${misc:Depends},
          golang-github-coreos-go-oidc-dev,
          golang-github-duo-labs-webauthn-dev,
          golang-github-frankban-quicktest-dev,
          golang-github-go-ldap-ldap-dev,
+         golang-github-go-macaroon-bakery-macaroon-bakery-dev,
          golang-github-gomodule-oauth1-dev,
          golang-github-google-go-cmp-dev,
          golang-github-google-uuid-dev,
          golang-github-gorilla-handlers-dev,
          golang-github-juju-aclstore-dev,
          golang-github-juju-clock-dev,
-         golang-github-juju-cmd-dev,
+         golang-github-juju-cmd-dev (>= 3.0.2),
          golang-github-juju-gnuflag-dev,
          golang-github-juju-loggo-dev,
          golang-github-juju-names-dev,
@@ -92,7 +94,6 @@
          golang-gopkg-httprequest.v1-dev,
          golang-gopkg-juju-environschema.v1-dev,
          golang-gopkg-macaroon.v2-dev,
-         golang-gopkg-macaroon-bakery.v2-dev,
          golang-gopkg-mgo.v2-dev,
          golang-gopkg-natefinch-lumberjack.v2-dev,
          golang-gopkg-square-go-jose.v2-dev,

## golang-github-canonical-candid 1.12.2

=== Makefile ===
--- 
+++ 
@@ -68,6 +68,17 @@
 	@echo on OS X with homebrew try: brew install bazaar mongodb
 endif
 
+image:
+    DOCKER_BUILDKIT=1 \
+    docker build \
+        --build-arg AUTH_TYPE=ssh \
+        --cache-from candid:latest \
+        --progress=plain \
+        --secret id=ghuser,env=GH_USER \
+        --secret id=ghpat,env=GH_PAT \
+        --ssh default \
+        . -f ./docker/Dockerfile -t candid
+
 help:
 	@echo -e 'Identity service - list of make targets:\n'
 	@echo 'make - Build the package.'

=== charms/candid/requirements.txt ===
ops >= 1.4.0
ops-lib-pgsql

=== debian/changelog ===
golang-github-canonical-candid (1.12.2-1) unstable; urgency=medium

  * New upstream release
    - Refresh/drop patches as needed
  * d/control:
    - Update my email address
    - Bump Standards-Version (no changes needed)
    - Correct dependency on golang-golang-x-oauth2-dev
  * Refresh and update d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 17 Dec 2022 17:12:20 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: golang-github-canonical-candid
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Mathias Gibbens <mathias@calenhad.com>
+Uploaders: Mathias Gibbens <gibmat@debian.org>
 Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
@@ -34,7 +34,7 @@
                golang-github-yohcop-openid-go-dev,
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
-               golang-golang-x-oauth2-google-dev,
+               golang-golang-x-oauth2-dev,
                golang-gopkg-asn1-ber.v1-dev,
                golang-gopkg-errgo.v1-dev,
                golang-gopkg-goose.v1-dev,
@@ -48,7 +48,7 @@
                golang-pq-dev,
                golang-prometheus-client-dev,
                golang-yaml.v2-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-canonical-candid
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-canonical-candid.git
 Homepage: https://github.com/canonical/candid
@@ -87,7 +87,7 @@
          golang-github-yohcop-openid-go-dev,
          golang-golang-x-crypto-dev,
          golang-golang-x-net-dev,
-         golang-golang-x-oauth2-google-dev,
+         golang-golang-x-oauth2-dev,
          golang-gopkg-asn1-ber.v1-dev,
          golang-gopkg-errgo.v1-dev,
          golang-gopkg-goose.v1-dev,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

# Skip dh_auto_build, since we currently aren't packaging any of the resulting binaries
override_dh_auto_build:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/canonical/candid/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-canonical-candid 1.12.3

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 GIT_COMMIT := $(shell git rev-parse --verify HEAD)
 GIT_VERSION := $(shell git describe --dirty)
+GO_VERSION := $(shell go list -f {{.GoVersion}} -m)
 ARCH := $(shell dpkg --print-architecture)
 
 DEPENDENCIES := build-essential bzr
@@ -69,15 +70,13 @@
 endif
 
 image:
-    DOCKER_BUILDKIT=1 \
-    docker build \
-        --build-arg AUTH_TYPE=ssh \
-        --cache-from candid:latest \
-        --progress=plain \
-        --secret id=ghuser,env=GH_USER \
-        --secret id=ghpat,env=GH_PAT \
-        --ssh default \
-        . -f ./docker/Dockerfile -t candid
+	DOCKER_BUILDKIT=1 \
+	docker build \
+		--build-arg="GIT_COMMIT=$(GIT_COMMIT)" \
+		--build-arg="VERSION=$(GIT_VERSION)" \
+		--build-arg="GO_VERSION=$(GO_VERSION)" \
+		--build-arg="ARCH=$(ARCH)" \
+		. -f ./Dockerfile -t candid
 
 help:
 	@echo -e 'Identity service - list of make targets:\n'

=== charms/candid-k8s/requirements.txt ===
Jinja2 == 2.11.3
ops >= 1.4.0
ops-lib-pgsql
markupsafe == 2.0.1

=== charms/charm/Makefile ===
CHARM=/snap/bin/charm

.PHONY: build
build:
	CHARM_INTERFACES_DIR=interfaces $(CHARM) build --build-dir build layer-candid

.PHONY: lint
lint:
	@# ls -d hooks/* | grep -v -E '/(install|charmhelpers)$'
	flake8 \
		layer-candid/reactive/candid.py \
		layer-candid/lib/charms/layer/candid.py
			
.PHONY: clean
clean:
	-rm -rf build

=== debian/changelog ===
golang-github-canonical-candid (1.12.3-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 08 Mar 2024 15:49:34 +0000

golang-github-canonical-candid (1.12.2-4) unstable; urgency=medium

  * Update Build-Depends and Depends to use golang-github-go-webauthn-
    webauthn-dev rather than golang-github-duo-labs-webauthn-dev and
    add a patch to update import paths (See #1025857)
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 19 Jan 2024 22:14:18 +0000

golang-github-canonical-candid (1.12.2-3) unstable; urgency=medium

  * Fix FTBFS with golang 1.21

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 18 Aug 2023 16:01:34 +0000

golang-github-canonical-candid (1.12.2-2) unstable; urgency=medium

  * Fix FTBFS with updated version of golang-github-go-ldap-ldap

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 16 Jun 2023 22:26:42 +0000
